@charset "UTF-8";

/*--------------------------------Calendar-------------------------------*/
/*-----------------------------------------------------------------------*/

.calendar .calendar-month {
  border-radius: 15px;
  box-shadow: 0 0.5rem 1.5rem 0.5rem rgba(0, 0, 0, 0.075);
  padding: 20px;
}

.calendar .calendar-year-month {
  padding: 10px;
  border-radius: 15px;
  background: white;
}

.calendar .days-table {
  background: #f9f9f9;
}

.calendar .previous-month,
.calendar .next-month {
  display: inline-block;
  cursor: pointer;
  -webkit-transition: 0.3s;
  -o-transition: 0.3s;
  transition: 0.3s;
  border-radius: 10px;
  height: 40px;
  width: 40px;
  box-shadow: 0 0.1rem 0.75rem 0.25rem rgba(0, 0, 0, 0.05);
  padding: 8px;
  background: #3c3c3c;
  color: white;
}

.calendar .date-select {
  display: block;
  width: 100%;
  padding: 0.775rem 3rem 0.775rem 1rem;
  padding-right: 3rem;
  padding-left: 1rem;
  font-size: 1.1rem;
  font-weight: 600;
  background-color: #f9f9f9;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%2378829D' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right 0.75rem center;
  background-size: 16px 12px;
  border-radius: 10px;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  box-shadow: 0px 0px 8px 1px rgba(0, 0, 0, 0.12);
}

.calendar .previous-month:hover,
.calendar .next-month:hover {
  background: #dfdfdf;
}

.calendar .previous-month.disabled,
.calendar .next-month.disabled {
  opacity: 0.3;
  cursor: default;
}

.calendar .days-table,
.calendar .dates-table,
.calendar .months-table {
  width: 100%;
  border-collapse: separate;
  text-align: center;
  border-spacing: 6px;
}

.calendar .months-table {
  border-spacing: 6px 4px;
}

.calendar .month-title {
  padding: 6px 8px;
  position: relative;
  border-radius: 10px;
}

.calendar .day {
  font-size: 13px;
  color: #9b9b9b;
  background: #f9f9f9;
  border-radius: 20px;
  width: 14.2857143%;
}

.calendar .date {
  cursor: pointer;
  color: #2b2b2b;
  font-size: 15px;
  padding: 8px;
  line-height: 35px;
  text-align: center;
  border-radius: 10px;
  border: 1px solid #f2f2f2;
  -webkit-transition: all 250ms;
  -o-transition: all 250ms;
  transition: all 250ms;
  position: relative;
}

@media (max-width: 768px) {
  .calendar .date {
    line-height: 32px;
  }
}

.calendar .date.nil {
  border: none;
}

.calendar .date:not(.nil):hover {
  border-color: #c1c1c1;
  background: #fbfbfb;
  color: #343434 !important;
}

.calendar .today-date {
  border: 1px dashed #56a8ff;
}

.calendar .today-badge {
  position: absolute;
  border-radius: 50%;
  right: 2px;
  top: 2px;
  height: 8px;
  width: 8px;
  background: #56a8ff;
}

.calendar .event-date {
  color: #fff !important;
  font-weight: 500 !important;
}

.calendar .event-date-badge {
  position: absolute;
  top: -3px;
  left: -3px;
  background-color: rgb(15, 15, 15);
  font-size: 12px;
  color: #fff;
  line-height: 9px;
  padding: 4px 5px;
  border-radius: 10px;
}

.calendar .day-badge {
  padding: 2px 8px;
  border: 1px solid #e9e9e9;
  border-radius: 10px;
}

.calendar .has-event-red {
  background: #ff7979;
  border: 1px solid #ff7979 !important;
}

.calendar .has-event-blue {
  background: #32d0f5;
  border: 1px solid #32d0f5 !important;
}

.calendar .has-event-green {
  background: #39df4b;
  border: 1px solid #39df4b !important;
}

.calendar .has-event-pink {
  background: #bf34ff;
  border: 1px solid #bf34ff !important;
}

.calendar .has-event-brown {
  background: brown;
  border: 1px solid brown !important;
}

.calendar .weekend-date:not(.event-date) {
  color: #e34d4d;
  border: 1px solid #ffcfcf !important;
}

.calendar .events_item {
  -moz-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.05);
  -webkit-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.05);
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.05);
  padding: 7px 14px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 4px;
}

.calendar .events_item:first-child {
  border-radius: 10px 10px 0 0;
}

.calendar .events_item:last-child {
  margin-bottom: 0 !important;
  border-radius: 0 0 10px 10px;
}

.calendar .events_name {
  font-size: 13px;
  font-weight: 500;
  color: #585859;
}

.calendar .events_date {
  font-size: 12px;
  color: #828282;
}

.calendar .bg-info-subtle {
  background-color: #e2d5fb !important;
}

.calendar .collapse {
  background-color: #fff !important;
}

.calendar .badge-info {
  color: #fffdfd;
  background-color: #7137ea;
}

.calendar .date {
  cursor: pointer;
  color: #2b2b2b;
  font-size: 13px;
  padding: 8px;
  border-radius: 6px;
}

.calendar .icon-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: none;
  border-radius: 6px;
  background-color: rgba(77, 77, 77, 0.04);
  backdrop-filter: blur(1px);
}

.calendar .add-event-icon {
  position: absolute;
  top: 21px;
  left: 23px;
}

.calendar .days-table,
.calendar .dates-table,
.calendar .months-table {
  border-spacing: 5px;
}

.calendar .date:not(.nil):hover {
  border-color: #c1c1c1;
  background: #fbfbfb;
  color: #343434 !important;
}

.calendar .date:not(.nil):hover .icon-wrapper {
  display: flex;
}

/* Tooltip Custom style----START--------- */
.tooltip-inner {
  background-color: #007bff !important;
  color: white !important;
  border-radius: 0.25rem !important;
  padding: 8px 12px !important;
  font-size: 1.1rem;
}

.bs-tooltip-auto[data-popper-placement^="top"] .tooltip-arrow::before
{
  border-top-color: #007bff !important;
}
.bs-tooltip-auto[data-popper-placement^="bottom"] .tooltip-arrow::before
{
  border-bottom-color: #007bff !important;
}
.bs-tooltip-auto[data-popper-placement^="left"] .tooltip-arrow::before
{
  border-left-color: #007bff !important;
}
.bs-tooltip-auto[data-popper-placement^="right"] .tooltip-arrow::before {
  border-right-color: #007bff !important;
}

/* Tooltip Custom style-END------------ */

/* hgcard style-END------------ */
.hgcard:hover{
-webkit-box-shadow: 0 10px 20px #D7E3E8;
    -moz-box-shadow: 0 10px 20px #D7E3E8;
    box-shadow: 0 10px 20px #D7E3E8;
}
/* hgcard style-END------------ */

.text-rose-200 {
  --tw-text-opacity: 1;
  color: rgb(254 205 211/var(--tw-text-opacity))
}

.text-rose-500 {
  --tw-text-opacity: 1;
  color: rgb(244 63 94/var(--tw-text-opacity))
}

.text-rose-600 {
  --tw-text-opacity: 1;
  color: rgb(225 29 72/var(--tw-text-opacity))
}

.text-rose-700 {
  --tw-text-opacity: 1;
  color: rgb(190 18 60/var(--tw-text-opacity));
}

.text-rose-900 {
  --tw-text-opacity: 1;
  color: rgb(136 19 55/var(--tw-text-opacity))
}


.bg-rose-100 {
  --tw-bg-opacity: 1;
  background-color: rgb(255 228 230/var(--tw-bg-opacity))
}

.bg-rose-200\/40 {
  background-color: #fecdd366;
}

.bg-rose-400 {
  --tw-bg-opacity: 1;
  background-color: rgb(251 113 133/var(--tw-bg-opacity))
}

.bg-rose-400\/30 {
  background-color: #fb71854d
}

.bg-rose-500 {
  --tw-bg-opacity: 1;
  background-color: rgb(244 63 94/var(--tw-bg-opacity))
}

/* =DataTable=START============================================================================================= */
table.dataTable thead th.dtr-control::before {
  display: none !important;
}
/* table.dataTable tbody tr.child {
  transition: all 0.3s ease;
}
table.dataTable tr.child {
  display: table-row !important;
  visibility: visible;
} */
table.dataTable tr.child td.child {
  overflow: hidden;
}
/* Ensuring the + and - signs are visible correctly */
table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > td.dtr-control:before {
  content: "+";
  display: inline-block;
  margin-right: 10px;
}

table.dataTable.dtr-inline > tbody > tr.parent > td.dtr-control:before {
  content: "–"; /* This is shown when row is expanded */
}

/* Default state - show + icon */
.dataTable tbody tr:not(.dtr-expanded) > td.dtr-control:before {
  mask-repeat: no-repeat;
  mask-position: center;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  background-color: #78829d;
  -webkit-mask-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3e%3crect opacity='0.3' x='2' y='2' width='20' height='20' rx='5' fill='%2378829D'/%3e%3crect x='10.8891' y='17.8033' width='12' height='2' rx='1' transform='rotate%28-90 10.8891 17.8033%29' fill='%2378829D'/%3e%3crect x='6.01041' y='10.9247' width='12' height='2' rx='1' fill='%2378829D'/%3e%3c/svg%3e");
  mask-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3e%3crect opacity='0.3' x='2' y='2' width='20' height='20' rx='5' fill='%2378829D'/%3e%3crect x='10.8891' y='17.8033' width='12' height='2' rx='1' transform='rotate%28-90 10.8891 17.8033%29' fill='%2378829D'/%3e%3crect x='6.01041' y='10.9247' width='12' height='2' rx='1' fill='%2378829D'/%3e%3c/svg%3e");
}
/* below line is removed from plugins.bundle.css  */
/* :root .dataTable.collapsed .dtr-control:before,[data-bs-theme=light] .dataTable.collapsed .dtr-control:before{mask-repeat:no-repeat;mask-position:center;-webkit-mask-repeat:no-repeat;-webkit-mask-position:center;background-color:#78829d;-webkit-mask-image:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3e%3crect opacity='0.3' x='2' y='2' width='20' height='20' rx='5' fill='%2378829D'/%3e%3crect x='10.8891' y='17.8033' width='12' height='2' rx='1' transform='rotate%28-90 10.8891 17.8033%29' fill='%2378829D'/%3e%3crect x='6.01041' y='10.9247' width='12' height='2' rx='1' fill='%2378829D'/%3e%3c/svg%3e");mask-image:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3e%3crect opacity='0.3' x='2' y='2' width='20' height='20' rx='5' fill='%2378829D'/%3e%3crect x='10.8891' y='17.8033' width='12' height='2' rx='1' transform='rotate%28-90 10.8891 17.8033%29' fill='%2378829D'/%3e%3crect x='6.01041' y='10.9247' width='12' height='2' rx='1' fill='%2378829D'/%3e%3c/svg%3e")} */

/* ===DataTable==END============================================================================================================= */